; # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
; filename: xmedcon.iss.in
;
; UTILITY text: Medical Image Conversion Utility
;
; purpose     : the Inno Setup script template
;
; notes       : http://www.jrsoftware.org/
;
; # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
; $Id: xmedcon.iss.in,v 1.24 2013/06/23 21:51:19 enlf Exp $
;
[Setup]
AppName=XMedCon
AppVerName=XMedCon 0.13.0
AppCopyright=Copyright  1997-2013 by Erik Nolf
AppPublisher=Erik Nolf
AppPublisherURL=http://sourceforge.net/users/enlf
AppSupportURL=http://xmedcon.sourceforge.net/
LicenseFile=copying
SourceDir=e:\development\xmedcon\mswin\in
OutputDir=e:\development\xmedcon\mswin\out
DefaultDirName={pf}\XMedCon
DefaultGroupName=XMedCon
DisableDirPage=yes
PrivilegesRequired=admin
Compression=lzma2
SolidCompression=yes
ArchitecturesInstallIn64BitMode=x64
[Dirs]
Name: "{app}\bin"
Name: "{app}\etc"
[Files]
Source: "bin.x64\*.*"; DestDir: "{app}\bin"; Check: Is64BitInstallMode
Source: "bin.x86\*.*"; DestDir: "{app}\bin"; Check: not Is64BitInstallMode
Source: "etc\*.*"; DestDir: "{app}\etc"
Source: "etc\xmedconrc.mswin"; DestDir: "{app}\etc"; DestName: "xmedconrc"
Source: "readme.txt";	DestDir: "{app}"; Flags: isreadme
Source: "copying"; 	DestDir: "{app}";
[Icons]
Name: "{group}\XMedCon"; Filename: "{app}\bin\xmedcon.exe"; WorkingDir: "%HOMEDRIVE%\%HOMEPATH%"; Comment: "(X)MedCon GUI"; IconFilename: "{app}\etc\xmedcon.ico";
Name: "{group}\MedCon"; Filename: "{app}\bin\medcon.lnk"; WorkingDir: "%HOMEDRIVE%\%HOMEPATH%"; Comment: "(X)MedCon CLI"; IconFilename: "{app}\etc\xmedcon.ico";
[UninstallDelete]
Type: files; Name: "{app}\readme.txt"
Type: files; Name: "{app}\copying"

